Page MenuHomePhabricator

Support haswbstatement without a value specified
Closed, ResolvedPublic

Description

e.g. it should be possible to use https://www.wikidata.org/w/index.php?search=haswbstatement%3AP231&title=Special:Search to search all items with P231 regardless of value. This can be used to find some items without a specific identifiers, e.g. haswbstatement:P231 -haswbstatement:P661.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 18 2018, 9:47 AM

Can you let us know more about what you're wanting to do and any use cases that you're wanting to solve?

Smalyshev triaged this task as Normal priority.Jul 26 2018, 5:55 PM

Our indexing should already support this, but haswbstatement keyword might not handle it properly.

Change 449609 had a related patch set uploaded (by Smalyshev; owner: Smalyshev):
[mediawiki/extensions/Wikibase@master] Allow haswbstatement without value

https://gerrit.wikimedia.org/r/449609

Change 449609 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Allow haswbstatement without value

https://gerrit.wikimedia.org/r/449609

Smalyshev closed this task as Resolved.Aug 15 2018, 1:20 AM